Skip to main content
`Ctrl`+`K`

# NEPSetConvergenceTestFunction

Sets a function to compute the error estimate used in the convergence test.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetConvergenceTestFunction(NEP nep,NEPConvergenceTestFn *conv,void *ctx,PetscCtxDestroyFn *destroy)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- conv - convergence test function, see `NEPConvergenceTestFn` for the calling sequence

- ctx - context for private data for the convergence routine (may be `NULL`)

- destroy - a routine for destroying the context (may be `NULL`), see `PetscCtxDestroyFn` for the calling sequence

## Notes

When this is called with a user-defined function, then the convergence criterion is set to `NEP_CONV_USER`, see `NEPSetConvergenceTest()`.

If the error estimate returned by the convergence test function is less than the tolerance, then the eigenvalue is accepted as converged.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetConvergenceTest()`, `NEPSetTolerances()`

## Level

advanced

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages